%{?nodejs_find_provides_and_requires}

%global packagename mv
%global enable_tests 1

Name:		nodejs-mv
Version:	2.1.1
Release:	2%{?dist}
Summary:	A fs.rename that works across devices. Same as the unix utility 'mv'

License:	MIT
URL:		https://github.com/andrewrk/node-mv.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz

BuildArch:	noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:	nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:	mocha
BuildRequires:	npm(ncp)
BuildRequires:	npm(rimraf)
%endif

Requires:	nodejs

%description
A fs.rename that works across devices. Same as the unix utility 'mv'


%prep
%setup -q -n package

%nodejs_fixdep rimraf ^2.5

%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
/usr/bin/mocha -R spec
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}



%changelog
* Mon Jan 16 2017 Jared Smith <jsmith@fedoraproject.org> - 2.1.1-2
- Relax dependency on npm(rimraf)

* Fri Nov  6 2015 Jared Smith <jsmith@fedoraproject.org> - 2.1.1-1
- Initial packaging
